# AssetOwnership

### Fields

#### asset ([Asset](/graphql-api/api-reference/objects/asset.md))

Returns the asset related to this asset ownership record.

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

The time when the asset was assigned to the subscription

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID of this asset ownership record.

#### purchasePriceCents ([Int](/graphql-api/api-reference/objects/int.md))

The purchase price of the asset in cents

#### returnedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The time when the asset was returned

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))

Returns the subscription related to this asset ownership record.

#### subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)

The ID of the subscription related to this asset ownership record.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/asset-ownership.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
